import request from '@/utils/request'

// 查询红包消耗统计列表
export function listFastgptReadpackage(query) {
  return request({
    url: '/fastGpt/read_package/list',
    method: 'get',
    params: query
  })
}

// 查询红包消耗统计详细
export function getFastgptReadpackage(id) {
  return request({
    url: '/fastGpt/read_package/' + id,
    method: 'get'
  })
}

// 新增红包消耗统计
export function addFastgptReadpackage(data) {
  return request({
    url: '/fastGpt/read_package',
    method: 'post',
    data: data
  })
}

// 修改红包消耗统计
export function updateFastgptReadpackage(data) {
  return request({
    url: '/fastGpt/read_package',
    method: 'put',
    data: data
  })
}

// 删除红包消耗统计
export function delFastgptReadpackage(id) {
  return request({
    url: '/fastGpt/read_package/' + id,
    method: 'delete'
  })
}

// 导出红包消耗统计
export function exportFastgptReadpackage(query) {
  return request({
    url: '/fastGpt/read_package/export',
    method: 'post',
    params: query
  })
}
